@import 'src/components/rem';

.wrapper {
  position: relative;

  &:first-child {
    .base {
      border-radius: rem(4px) 0 0 rem(4px);
    }
  }

  &:last-child {
    .base {
      border-radius: 0 rem(4px) rem(4px) 0;
    }
  }
}

.focus {
  opacity: 0;
  z-index: 10;
  pointer-events: none;
  transition: opacity 0.3s ease;
}

.base {
  background: var(--color-white)!important;
  color: var(--color-black);
  border-radius: 0;
  position: relative;
  z-index: 11;

  &:hover {
    background: var(--color-gray-blue)!important;

    &:before {
      background: #333333;
    }
  }

  span {
    margin-left: rem(8px);
  }

  &:disabled {
    span {
      background: var(--color-gray-active);
    }
  }

  &:focus {
    box-shadow: none!important;
    outline: none;
  }

  &:focus + .focus {
    opacity: 1;
    position: absolute;
    top: -5px;
    right: -5px;
    bottom: -5px;
    left: -5px;
    border-radius: 4px;
    border: 3px solid var(--btn-hollow-border);
    z-index: 12;
  }
}

.active {
  background: var(--color-gray)!important;
  color: var(--color-white)!important;

  &:hover {
    background: var(--color-gray)!important;
  }

  &:disabled {
    background: var(--color-white)!important;
    color: var(--btn-hollow-color-disable)!important;
  }

  &:focus + .focus {
    z-index: 13;
  }
}
